<!DOCTYPE html>
<html>

<body>

    <h1>Variables</h1>
    <p id="demo"></p>
    <p id="demo1"></p>
    <p id="demo2"></p>
    <p id="demo3"></p>
    <p id="demo4"></p>

    <script>
        var y = 20;

        hello = () => {
            var x = 10;
            const x = 5.6;//const is a variable that once it has been created, its value can never change.const has a block scope.
            document.getElementById("demo1").innerHTML = " X Value is "+x;
            for(var i=0; i<1; i++){
                var z = 30;//no block scope
                let a = 30.10 //let is the block scoped version of var
                document.getElementById("demo3").innerHTML = "A Value is "+a;
            }
            document.getElementById("demo2").innerHTML = " Z Value is "+z;
            
        }
        hello();
        document.getElementById("demo").innerHTML = " Y Value is "+y;
    </script>

</body>

</html>